ASTRIBANK_TOOL(8)

NAME
astribank_tool - Xorcom Astribank (xpp) control tool

SYNOPSIS
astribank_tool [ options ] [ operation... ] -D device-path astribank_tool [-h]

DESCRIPTION
astribank_tool is a tool to control the USB-level functionality of an Astribank. The tool operates on a single Astribank at a time (given as parameter to the -D command line option).

OPTIONS
-D device-path
    Required. The device to read from/write to. This is bus_num/device_num, where bus_num and device_num are the first two numbers in the output of lsusb(8) or dahdi_hardware(8). On older versions of this tool you needed a complete path to the device, which would be /dev/bus/usb/bus_num/device_num, or /proc/bus/usb/bus_num/device_num.
-p num
    Set the TwinStar port number. Either 0 or 1. (TODO: explain).
-r type
    Reset the Astribank and renumerate its USB connection to power on product ID. Tyep can be: half or full. (TODO: explain those).
-w 0|1
    Enable (1) or disable (0) the TwinStar watchdog. When enabled, the Astribank will jump to the second port if this system is "not working" and the system on the second port is available.
-Q
    Query astribank properties via MPP protocol.
-n
    Renumerate the Astribank product number (e.g: from 1161 to 1162).
-v
    Increase verbosity. May be used multiple times.
-d mask
    Set debug mask to mask. Default is 0, 0xFF is "everything".
-h
    Displays usage message.

SEE ALSO
fxload(8), lsusb(8), astribank_hexload(8)

AUTHOR
This manual page was written by Tzafrir Cohen <tzafrir.cohen@xorcom.com> . Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 2 any later version published by the Free Software Foundation. On Debian systems, the complete text of the GNU General Public License can be found in /usr/share/common-licenses/GPL.